Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))

From: "Jeff Squyres (jsquyres)" <[email-masked]>
Date: Sat, 17 Jan 2015 03:48:57 +0000

To be clear...

I'd still really like to embed libltdl in some way in OMPI.

If it's a different way than we've been doing before, that's fine.

E.g., if you give me a simple procedure to follow instead of using the magic m4 macros, that would also be fine.  I.e., something that would reduce your support burden by making it less of a general case for everyone to use (i.e., reduce that steady trickle of bugs you mentioned).  I'd even be fine if the bulk of libltdl's configure.ac script moved into a .m4 that I could call from my own, top-level configure.m4 (and I could copy all the relevant libltdl .m4 files into my own m4 macro directory).  That would be great/easy, for example.

...or any other solution that would be easy(ier) for you to keep maintaining some form of libltdl embedding option.

-- 
Jeff Squyres
[email-masked]
For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/